Bug 74742 - SIGSTKSZ & MINSIGSTKSZ are *way* off
Summary: SIGSTKSZ & MINSIGSTKSZ are *way* off
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL: http://lxr.linux.no/source/include/as...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-01 11:47 UTC by Johan Walles
Modified: 2016-11-24 15:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 19:38:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:022 normal SHIPPED_LIVE Moderate: glibc security update 2003-01-22 05:00:00 UTC

Description Johan Walles 2002-10-01 11:47:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
SIGSTKSZ and MINSIGSTKSZ are #defined to 8192 and 2048 in
/usr/include/bits/sigstack.h and /usr/include/asm/signal.h.  The kernel headers
say they should be 262144 and 131027 (see LXR URL).

You should fix your headers to use the correct values.

Comment 1 Jakub Jelinek 2002-12-03 23:03:29 UTC
The fix is in glibc 2.3.1 and glibc-2.2.4-31.2.

Comment 2 Mark J. Cox 2003-01-30 19:38:59 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-022.html



Note You need to log in before you can comment on or make changes to this bug.